org.modeshape.jboss.subsystem

## Class AddTextExtractor

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AddTextExtractor

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AddTextExtractor
      extends org.jboss.as.controller.AbstractAddStepHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AddTextExtractor` | `INSTANCE`

    - ### Fields inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `attributes`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `protected boolean` | `requiresRuntimeVerification()`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, requiresRuntime, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AddTextExtractor INSTANCE

  - ### Method Detail

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### performRuntime

          protected void performRuntime(org.jboss.as.controller.OperationContext context,
                            org.jboss.dmr.ModelNode operation,
                            org.jboss.dmr.ModelNode model,
                            org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                            List<org.jboss.msc.service.ServiceController<?>> newControllers)

      Overrides:
        `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`

    - #### requiresRuntimeVerification

          protected boolean requiresRuntimeVerification()

      Overrides:
        `requiresRuntimeVerification` in class `org.jboss.as.controller.AbstractAddStepHandler`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.